import { IComponentParams } from '../interface';
import { IComponentContext } from './context.service';
export interface IComponentPath {
    componentVersion: string;
    componentPath: string;
    lockPath: string;
}
export interface RepoTemplate {
    zipFile: string;
    subPath?: string;
    hasSubPath: boolean;
}
/**
 * @description 获取组件路径
 * @param name
 * @param provider
 * @param componentPathRoot 组件根目录
 */
export declare const generateComponentPath: ({ name, provider }: IComponentParams, componentPathRoot: string) => Promise<IComponentPath>;
export declare const installDependency: (name: string, { componentPath, componentVersion, lockPath }: IComponentPath) => Promise<void>;
export declare const downloadComponent: (outputDir: string, { name, provider }: IComponentParams) => Promise<void>;
export declare const buildComponentInstance: (context: IComponentContext, componentPath: string, id?: string, componentAlias?: string) => Promise<any>;
