export declare type LogLevel = 'print' | 'info' | 'debug' | 'warn' | 'error' | 'report';
export interface ILogger {
    print: (message: any, options?: LoggerOptions) => any;
    info: (message: any, options?: LoggerOptions) => any;
    debug?: (message: any, options?: LoggerOptions) => any;
    warn: (message: any, options?: LoggerOptions) => any;
    error: (message: any, options?: LoggerOptions) => any;
    report?: (message: any, options?: LoggerOptions) => any;
}
export interface LoggerOptions {
    context?: string;
    color?: 'green' | 'yellow' | 'red' | 'cyan';
    level?: string;
    trace?: string;
}
export declare class Logger implements ILogger {
    protected context?: string;
    protected static instance?: typeof Logger | ILogger;
    static overrideLogger(logger: ILogger | boolean): void;
    static print(message: any, options?: LoggerOptions): void;
    static report(message: any, options?: LoggerOptions): void;
    static info(message: any, options?: LoggerOptions): void;
    static error(message: any, options?: LoggerOptions): void;
    static warn(message: any, options?: LoggerOptions): void;
    static debug(message: any, options?: LoggerOptions): void;
    constructor(context?: string);
    print(message: any, options?: LoggerOptions): void;
    report(message: any, options?: LoggerOptions): void;
    info(message: any, options?: LoggerOptions): void;
    debug(message: any, options?: LoggerOptions): void;
    warn(message: any, options?: LoggerOptions): void;
    error(message: any, options?: LoggerOptions): void;
    setContext(context: string): void;
    protected getInstance(): typeof Logger | ILogger;
    private callFunction;
}
